.picto(@content) {
    content: @content;
    float: left;
    font-family: FontAwesome;
    font-size: 6em;
    height: 2em;
    line-height: 2em;
    text-align: center;
    vertical-align: middle;
    width: 2em;
}

.error {
    padding: 1.2em;
    position: relative;

    .picto {
        float: left;
        font-size: 6em;
        width: 2em;

        .text-danger {
            color: lighten(@ge-color-red, 25%);
        }
    }

    &.unknown:before {
        .picto(@fa-var-chain-broken);
    }

    &.notfound:before {
        .picto(@fa-var-search);
    }

    &.unauthorized:before {
        .picto(@fa-var-ban);
    }

    &.expression:before {
        .picto(@fa-var-cogs);
    }

    &.retry:before {
        .picto(@fa-var-hourglass-half);
    }

    > h1 {
        font-size: 2.8em;
        margin-top: .2em;
    }

    > h2 {
        font-size: 1.8em;
    }
}
